small fix and config change
[automated-distro-installer] / dsfull
diff --git a/dsfull b/dsfull
index a8a2f1ff3611334775bcc365726c580bd201bfbb..e24c549fdf70818e8ee02a448c3778fafaa32f56 100755 (executable)
--- a/dsfull
+++ b/dsfull
@@ -2,6 +2,9 @@
 # Copyright (C) 2016 Ian Kelling
 
 # distro setup full using fai. (assuming we already synced data files to the host)
+# Usage: dsfull [-r] HOST
+# -r for no reboot.
+
 
 set -eE -o pipefail
 cleanup() { :; }
@@ -22,8 +25,8 @@ fi
 
 set -x
 
-cleanup() { pxe-server :; }
-pxe-server fai $host
+cleanup() { pxe-server; }
+pxe-server $host fai
 
 
 if $reboot; then
@@ -31,7 +34,7 @@ if $reboot; then
     ssh $host "touch /tmp/keyscript-off; sudo reboot" ||: &
 fi
 
-pxe-server -a :
+pxe-server -a
 cleanup() { :; }
 
 error=true